文档首页> 云数据库 RDS> 故障排除> RDS for MySQL升级版本后,导致现有配置无法正常连接到MySQL-server
更新时间:2022-04-02 GMT+08:00
分享

RDS for MySQL升级版本后,导致现有配置无法正常连接到MySQL-server

场景描述

用户新建实例,用代码连接该数据库时出现报错:

Caused by: javax.net.ssl.SSLException: Received fatal alert: protocol_version

RDS for MySQL原有版本为5.7.23,升级到5.7.25版本后,导致现有配置无法正常连接到MySQL-server,抓包结果如下图1

可以看出,客户端进行TLS握手时向服务端发送的TLS版本号是1.0,并提供了15个支持的密码套件。
图1 连接失败抓包结果

故障分析

从MySQL-server的回复中如图2可以看到,服务器拒绝了客户端的链接,原因是MySQL 5.7.25升级了openssl版本(1.1.1a),导致拒绝了不安全的TLS版本和密码套件。
图2 MySQL-server的回复

解决方案

升级您的JDK客户端到JDK 8或以上版本,则默认支持的TLS为1.2版本,如图3,可以正常连接的客户端支持TLS1.2,并支持30个密码套件。
图3 正常连接抓包结果
分享:

    相关文档

    相关产品

close